package com.example.newproject;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.util.Base64;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

public class AdapterMovie extends BaseAdapter {
    private Context mContext;
    List<Movie> movieList;

    public AdapterMovie(Context mContext, List<Movie> listProduct)
    {
        this.mContext = mContext;
        this.movieList = listProduct;
    }

    @Override
    public int getCount() {
        return movieList.size();
    }

    @Override
    public Object getItem(int i) {
        return movieList.get(i);
    }

    @Override
    public long getItemId(int i) {
        return movieList.get(i).getID();
    }

    public Bitmap getUserImage(String encodedImg)
    {
        if(encodedImg!=null&& !encodedImg.equals("null"))
        {
            byte[] bytes = Base64.decode(encodedImg, Base64.DEFAULT);
            return BitmapFactory.decodeByteArray(bytes, 0, bytes.length);
        }

        else
        {
            return null;
        }
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup)
    {
        View v = View.inflate(mContext, R.layout.item_layout, null);

        TextView Title = v.findViewById(R.id.txtTitle);
        TextView Count = v.findViewById(R.id.arcticleNumber);
        ImageView imageView = v.findViewById(R.id.ImageView);
        Movie movie = movieList.get(i);
        Title.setText(movie.getTitle());
        Count.setText(Integer.toString(movie.getMinCostForAgent()));

        v.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

            }
        });

        return v;
    }
}
